OpenFOAM version 2112 is not supported

A subforum specific to the development of the OpenFoam-based workbenches ( Cfd https://github.com/qingfengxia/Cfd and CfdOF https://github.com/jaheyns/CfdOF )

Moderator: oliveroxtoby

Post Reply
poulmack
Posts: 7
Joined: Tue Nov 07, 2017 7:17 pm

OpenFOAM version 2112 is not supported

Post by poulmack »

Hello,

I installed FreeCAD 0.20 and Windows MinGW OpenFOAM v2112 https://www.openfoam.com/download/release-history, and I get the following messages including that this version is not supported. Is it planned to be included in a future release of cfdOF?

Code: Select all

OpenFOAM directory: C:\Program Files\ESI-OpenCFD\OpenFOAM\v2112
16:37:02  Running  echo $FOAM_API
16:37:02  Sourcing OpenFOAM environment...
16:37:02  openfoam: windows support (mingw64) is runtime only
16:37:05  2112
16:37:12  OpenFOAM version 2112 is not supported:
Only version 2012 supported for MinGW installation
16:37:12  Running  cartesianMesh -version
16:37:12  Sourcing OpenFOAM environment...
16:37:12  openfoam: windows support (mingw64) is runtime only
16:37:15  Using: OpenFOAM-v2112 (2112) - visit www.openfoam.com
Build: _14aeaf8dab-20211220

Invalid option: -version
I need to use this version or OpenFOAM v9 from OpenFOAM Foundation, but that's not available in the blueCFD-Core Project yet.

I have Windows 11 on my pc, but it says Windows 10 in the help section of FreeCAD.

Code: Select all

OS: Windows 10 Version 2009
Word size of FreeCAD: 64-bit
Version: 0.20.29177 (Git)
Build type: Release
Branch: releases/FreeCAD-0-20
Hash: 68e337670e227889217652ddac593c93b5e8dc94
Python 3.8.10, Qt 5.15.2, Coin 4.0.1, Vtk 8.2.0, OCC 7.6.2
Locale: English/Canada (en_CA)
Installed mods: 
  * CfdOF 1.17.0
Regards,
Paul
User avatar
oliveroxtoby
Posts: 645
Joined: Fri Dec 23, 2016 9:43 am
Location: South Africa

Re: OpenFOAM version 2112 is not supported

Post by oliveroxtoby »

poulmack wrote: Wed Jun 22, 2022 10:51 pm Hello,

I installed FreeCAD 0.20 and Windows MinGW OpenFOAM v2112 https://www.openfoam.com/download/release-history, and I get the following messages including that this version is not supported. Is it planned to be included in a future release of cfdOF?
Yes, I'll try to add this soon. The problem is the compilation of HiSA and cfMesh, which I haven't got around to doing yet for this version. If you don't need them, it should work fine as is.
CFD-ROC
Posts: 3
Joined: Fri Jul 08, 2022 4:02 pm

Re: OpenFOAM version 2112 is not supported

Post by CFD-ROC »

Hello, is there any Update on this subject?

Best regards
poulmack
Posts: 7
Joined: Tue Nov 07, 2017 7:17 pm

Re: OpenFOAM version 2112 is not supported

Post by poulmack »

Hello,
It looks like it's solved in the new release because cfMesh works fine with that version now.
User avatar
oliveroxtoby
Posts: 645
Joined: Fri Dec 23, 2016 9:43 am
Location: South Africa

Re: OpenFOAM version 2112 is not supported

Post by oliveroxtoby »

CFD-ROC wrote: Tue Jul 19, 2022 10:11 am Hello, is there any Update on this subject?

Best regards
Versions up to 2206 now supported.
CFD-ROC
Posts: 3
Joined: Fri Jul 08, 2022 4:02 pm

Re: OpenFOAM version 2112 is not supported

Post by CFD-ROC »

Thanks!
User avatar
Kunda1
Veteran
Posts: 12743
Joined: Thu Jan 05, 2017 9:03 pm

Re: OpenFOAM version 2112 is not supported

Post by Kunda1 »

oliveroxtoby wrote: Tue Jul 19, 2022 8:37 pm Versions up to 2206 now supported.
Can we mark this thread as [Solved] ?
Alone you go faster. Together we go farther
Please mark thread [Solved]
Want to contribute back to FC? Checkout:
#lowhangingfruit | Use the Source, Luke. | How to Help FreeCAD | How to report FC bugs and features
Post Reply